Skip to main content

API Reference

The Attlaz API is used for submitting events to the Attlaz collector as well as exporting and managing data.

Versioning

Versioned changes are changes introduced with the release of a new API version. Versioned changes typically apply to the newest version immediately and often will apply to other versions at a future date. The changelog accompanying each release indicates which changes apply to the current release and which changes apply to other versions.

VersionDate introducedAvailable Until
beta--
1.12November 2024TBD
1.11January 2024TBD
1.10November 2023TBD
1.9January 2023December 2024
1.8April 2022December 2023
1.7March 2022December 2022
1.6February 2022December 2022
1.5January 2022December 2022
1.4January 2022December 2022
1.3January 2022December 2022
1.2March 2021December 2022
1.1March 2019December 2021
1.0April 2017December 2021

The current version of the web API is known as 1.12 and is considered to be in a draft phase. While we don’t expect public endpoints to change greatly, keep in mind that the API is still under development.

The endpoint of the API is following scheme:

https://api.attlaz.com/{version}

It is possible to not pass a version, then the endpoint point to the latest stable version, however this is not advices.

curl -i -X "https://api.attlaz.com/1.12/

The same unversioned call is as follows:

curl -i -X "https://api.attlaz.com/stable/

An unversioned call uses the latest stable version of the API.

It is possible to always use the beta version of the API:

curl -i -X "https://api.attlaz.com/beta/

Getting Started